cancel
Showing results for 
Search instead for 
Did you mean: 

My stumble upon has quit working. Keeps saying It will not work with the browser version I have witch is Mozilla 12.0

Highlighted
New Contributor

My stumble upon has quit working. Keeps saying It will not work with the browser version I have witch is Mozilla 12.0

All of the sudden my stumble upon has quit working and I'm not sure why. When I try to stumble it says my browser version needs to be updated yet I have done nothing to change anything to make this problem happen. What do I need to do and how do I fix this?

1 REPLY
Site Moderator

Re: My stumble upon has quit working. Keeps saying It will not work with the browser version I have witch is Mozilla 12.0

You probably have a corrupted user agent that identifies you as Firefox/3.5.6

  • Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.1.6) Gecko/20091201 Firefox/3.5.6 (.NET CLR 3.5.30729)

See: